<?php

namespace Litecms\BoardSetting\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BoardSettingTransformer extends TransformerAbstract
{
    public function transform(\Litecms\BoardSetting\Models\BoardSetting $board_setting)
    {
        return [
            'id'                => $board_setting->getRouteKey(),
            'key'               => [
                'public'    => $board_setting->getPublicKey(),
                'route'     => $board_setting->getRouteKey(),
            ], 
            'sponsor_bonus'     => $board_setting->sponsor_bonus,
            'sponsor_condition' => $board_setting->sponsor_condition,
            'sponsor_bonus_type' => $board_setting->sponsor_bonus_type,
            'sponsor_bonus_status ' => $board_setting->sponsor_bonus_status ,
            'url'               => [
                'public'    => trans_url('board_setting/'.$board_setting->getPublicKey()),
                'user'      => guard_url('board_setting/board_setting/'.$board_setting->getRouteKey()),
            ], 
            'status'            => trans('app.'.$board_setting->status),
            'created_at'        => format_date($board_setting->created_at),
            'updated_at'        => format_date($board_setting->updated_at),
        ];
    }
}